Update Artifact
curl --request PUT \
--url https://api.example.com/assets/artifacts/{resource_uri} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"meta": {}
}
'import requests
url = "https://api.example.com/assets/artifacts/{resource_uri}"
payload = {
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', tags: ['<string>'], meta: {}})
};
fetch('https://api.example.com/assets/artifacts/{resource_uri}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource_uri": "<string>",
"name": "<string>",
"key": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"owner_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"type": "artifact",
"content_type": "<string>",
"size": 123,
"description": "<string>",
"tags": [],
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}artifacts
Update Artifact
Update artifact metadata
PUT
/
assets
/
artifacts
/
{resource_uri}
Update Artifact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Artifact resource URI
Body
application/json
Response
Successful Response
Full artifact representation.
Deprecated: use created_by instead. Will be removed in a future release.
Was this page helpful?
⌘I

